Главная » Delphi, OLE, САПР » Вращение детали – КОМПАС в DELPHI

0

Для поворота детали достаточно изменить направление координатных осей так чтобы локальная система координат оказалась наклоненной по отношению к глобальной системе координат.

Ниже представлен ключевой фрагмент исходного текста программы, демонстрирующей простой поворот детали.

const

pTop_Part = -1;

vm_Shaded = 3;

var

kompas: KompasObject; Document3D: ksDocument3D; Part: ksPart;

Placement: ksPlacement;

path: string;

begin

path:=’D:\Study\Деталь1.m3d';

//Подключаемся к КОМПАСу

kompas:=KompasObject(CreateOleObject(‘Kompas.Application.5′));

//Получаем интерфейс документа-сборки

Document3D:=ksDocument3D(kompas.Document3D());

//Создаем сборку

Document3D.Create(FALSE,FALSE);

//Получаем интерфейс модели

Part:=ksPart(Document3D.GetPart(pTop_Part));

//Добавляем модель в сборку

Document3D.SetPartFromFile(path,Part,TRUE);

//Получаем интерфейс добавленной модели в сборке

Part:=ksPart(Document3D.GetPart(0));

//Получаем интерфейс расположения модели

Placement:=ksPlacement(Part.GetPlacement());

//Устанавливаем новые направления координатных осей

Placement.SetAxes(1,0,0,0,1,1);

//Обновляем расположение модели

Part.UpdatePlacement();

//Перерисовываем сборку

Document3D.RebuildDocument();

end;

//Устанавливаем полутоновое отображение

Document3D.drawMode:=vm_Shaded;

//Включаем отображение каркаса

Document3D.shadedWireframe:=TRUE;

//Делаем КОМПАС видимым

kompas.Visible:=true;

На рисунке ниже показан результат работы этой программы.

Обратите внимание, что локальная система координат детали как и сама деталь наклонена по отношению к глобальной системе координат.

Источник: Норсеев Сергей, «РАЗРАБОТКА ПРИЛОЖЕНИЙ ПОД КОМПАС В DELPHI»

По теме:

  • Комментарии